# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name pipes
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        4.3.2
Release:        1%{?dist}
Summary:        Compositional pipelines

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-mmorph-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-transformers-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif
# End cabal-rpm deps

%description
Pipes is a clean and powerful stream processing library that lets you build
and connect reusable streaming components

Advantages over traditional streaming libraries:
* Concise API: Use simple commands like 'for', ('>->'), 'await', and 'yield'
* Blazing fast: Implementation tuned for speed, including shortcut fusion
* Lightweight Dependency: pipes is small and compiles very rapidly,
  including dependencies
* Elegant semantics: Use practical category theory
* ListT: Correct implementation of ListT that interconverts with pipes
* Bidirectionality: Implement duplex channels
* Extensive Documentation: Second to none!

Import "Pipes" to use the library.
Read "Pipes.Tutorial" for an extensive tutorial.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc CHANGELOG.md


%changelog
* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 4.3.2-1
- update to 4.3.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 4.2.0-1
- update to 4.2.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 Jens Petersen <petersen@redhat.com> - 4.1.4-1
- update to 4.1.4

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 17 2013 Jens Petersen <petersen@redhat.com> - 4.0.0-2
- add static provides to devel

* Mon Sep  9 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 4.0.0-1
- update to 4.0.0

* Mon Jul 29 2013 Jens Petersen <petersen@redhat.com> - 3.3.0-1
- edit description

* Mon Jul 29 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 3.3.0-0
- spec file generated by cabal-rpm-0.8.3
